Bug 7093 - info-install: /sbin/install-info depends on /usr/lib/libzio.so.0
: info-install: /sbin/install-info depends on /usr/lib/libzio.so.0
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libzio)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-06-14 20:25 by
Modified: 2008-06-13 12:16 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-06-14 20:25:13
Binary executable file /sbin/install-info apparently depends on shared
library /usr/lib/libzio.so.0.  However, binaries in /bin and /sbin should
only depend on libraries in /lib.  Please consider /sbin/install-info
to be reloacated to /usr/sbin/install-info.  Also please check other
files in this package.
/sbin/install-info	/usr/lib/libzio.so.0	info-install
------- Comment #1 From 2005-06-15 22:32:18 -------
Awful.
------- Comment #2 From 2005-06-15 23:15:28 -------
I can't see why /sbin/install-info should reside on the root filesystem.  It is
not required neither for boot nor for basic/essential system operation.  After
all, *.info* files are installed under /usr/share/info.
------- Comment #3 From 2005-06-16 04:11:15 -------
Why /sbin/install-info?  I don't remember -> historical reasons.
I can relocate it to /usr/sbin/ like rpm was relocated to /usr/bin/.

But libzio will be relocated to /lib, I have plans to use it in programs like
grep.
------- Comment #4 From 2006-09-17 03:53:26 -------
Fixed long time ago (0.1-alt2).